ranges::views::take_while_base_fn Struct Reference
Inheritance diagram for ranges::views::take_while_base_fn:

## Public Member Functions

template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> take_while_view< all_t< Rng >, Pred > requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred &, iterator_t< Rng >>
template<typename Rng , typename Pred , typename Proj >
constexpr auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> take_while_view< all_t< Rng >, composed< Pred, Proj >> requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< composed< Pred, Proj > &, iterator_t< Rng >>